CREATE TABLE je_fr_das2_etb_headers_t (
    LEGAL_ENTITY_ID          NUMBER(18, 0)     NOT NULL,
    LOCATION_ID              NUMBER(18, 0) ,
    ETB_HEADER_ID            NUMBER(18, 0) ,
    PROGRAM_NAME             VARCHAR2(120) ,
    REQUEST_ID               NUMBER(18, 0) ,
    PROGRAM_APP_NAME         VARCHAR2(200) ,
    ESTABLISHMENT_ID         NUMBER(18, 0)     NOT NULL,
    SET_OF_BOOKS_ID          NUMBER(18, 0)     NOT NULL,
    SIREN_ETAB               NUMBER(9, 0)  ,
    NIC_ETAB                 NUMBER(5, 0)  ,
    SECTION_DAS              VARCHAR2(8)   ,
    VALIDITE                 NUMBER(4, 0)  ,
    TYPE_DAS                 VARCHAR2(4)   ,
    TYPE_ENREG               VARCHAR2(12)  ,
    Z01_94_1                 VARCHAR2(56)  ,
    CODE_APE                 VARCHAR2(20)  ,
    Z01_94_2                 VARCHAR2(4)   ,
    SIRET_01_JAN             NUMBER(9, 0)  ,
    NIC_01_JAN               NUMBER(5, 0)  ,
    Z02                      VARCHAR2(164) ,
    RAISON_SOCIALE           VARCHAR2(200) ,
    ADR_COMPL                VARCHAR2(128) ,
    Z1                       VARCHAR2(4)   ,
    ADR_CONCAT               VARCHAR2(256) ,
    ADR_INSEE                VARCHAR2(20)  ,
    Z3                       VARCHAR2(4)   ,
    ADR_COMMUNE              VARCHAR2(104) ,
    ADR_CPOSTAL              VARCHAR2(20)  ,
    Z4                       VARCHAR2(4)   ,
    ADR_BUR_DIST             VARCHAR2(104) ,
    PROFESSION               VARCHAR2(160) ,
    Z5                       VARCHAR2(212) ,
    CODE_TAXE_SAL            VARCHAR2(4)   ,
    Z6                       VARCHAR2(1204),
    NUM_ENR                  NUMBER(6, 0)  ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    LEGAL_ENTITY_ID          NUMBER(18, 0)     NOT NULL,
    LOCATION_ID              NUMBER(18, 0) ,
    ETB_HEADER_ID            NUMBER(18, 0) ,
    PROGRAM_NAME             VARCHAR2(120) ,
    REQUEST_ID               NUMBER(18, 0) ,
    PROGRAM_APP_NAME         VARCHAR2(200) ,
    ESTABLISHMENT_ID         NUMBER(18, 0)     NOT NULL,
    SET_OF_BOOKS_ID          NUMBER(18, 0)     NOT NULL,
    SIREN_ETAB               NUMBER(9, 0)  ,
    NIC_ETAB                 NUMBER(5, 0)  ,
    SECTION_DAS              VARCHAR2(8)   ,
    VALIDITE                 NUMBER(4, 0)  ,
    TYPE_DAS                 VARCHAR2(4)   ,
    TYPE_ENREG               VARCHAR2(12)  ,
    Z01_94_1                 VARCHAR2(56)  ,
    CODE_APE                 VARCHAR2(20)  ,
    Z01_94_2                 VARCHAR2(4)   ,
    SIRET_01_JAN             NUMBER(9, 0)  ,
    NIC_01_JAN               NUMBER(5, 0)  ,
    Z02                      VARCHAR2(164) ,
    RAISON_SOCIALE           VARCHAR2(200) ,
    ADR_COMPL                VARCHAR2(128) ,
    Z1                       VARCHAR2(4)   ,
    ADR_CONCAT               VARCHAR2(256) ,
    ADR_INSEE                VARCHAR2(20)  ,
    Z3                       VARCHAR2(4)   ,
    ADR_COMMUNE              VARCHAR2(104) ,
    ADR_CPOSTAL              VARCHAR2(20)  ,
    Z4                       VARCHAR2(4)   ,
    ADR_BUR_DIST             VARCHAR2(104) ,
    PROFESSION               VARCHAR2(160) ,
    Z5                       VARCHAR2(212) ,
    CODE_TAXE_SAL            VARCHAR2(4)   ,
    Z6                       VARCHAR2(1204),
    NUM_ENR                  NUMBER(6, 0)  ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_je_fr_das2_etb_headers_t PRIMARY KEY (ETB_HEADER_ID, ETB_HEADER_ID)
);
